/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.scriptcase.db.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import net.northking.cctp.common.db.entity.Entity;
import net.northking.cctp.common.saas.db.TenantPartition;

import javax.validation.constraints.Size;
import java.util.Date;


/**
 * 元素目录管理
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2022-11-04 09:57:40  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@ApiModel(description = "元素目录管理")
public class AtuElementGroup extends TenantPartition implements Entity
{
  public static final String KEY_id = "id";
  public static final String KEY_pid = "pid";
  public static final String KEY_groupName = "groupName";
  public static final String KEY_description = "description";
  public static final String KEY_levelNo = "levelNo";
  public static final String KEY_seq = "seq";
  public static final String KEY_isLeaf = "isLeaf";
  public static final String KEY_idPath = "idPath";
  public static final String KEY_namePath = "namePath";
  public static final String KEY_projectId = "projectId";
  public static final String KEY_tenantId = "tenantId";
  public static final String KEY_createdBy = "createdBy";
  public static final String KEY_createdTime = "createdTime";
  public static final String KEY_updatedBy = "updatedBy";
  public static final String KEY_updatedTime = "updatedTime";

  /**
   * 目录ID<br>
   */
  @ApiModelProperty("目录ID")
  @Size(max = 32, message="目录ID-id: 数据长度不能 > 32" )
  private String id;
  /**
   * 父目录ID<br>
   */
  @ApiModelProperty("父目录ID")
  @Size(max = 32, message="父目录ID-pid: 数据长度不能 > 32" )
  private String pid;
  /**
   * 目录名称<br>
   */
  @ApiModelProperty("目录名称")
  @Size(max = 255, message="目录名称: 数据长度不能 > 255" )
  private String groupName;
  /**
   * 目录描述<br>
   */
  @ApiModelProperty("目录描述")
  @Size(max = 255, message="目录描述-description: 数据长度不能 > 255" )
  private String description;
  /**
   * 目录层级<br>
   */
  @ApiModelProperty("目录层级")
  private Integer levelNo;
  /**
   * 目录顺序<br>
   */
  @ApiModelProperty("目录顺序")
  private Integer seq;
  /**
   * 是否为叶子节点<br>
   */
  @ApiModelProperty("是否为叶子节点")
  @Size(max = 1, message="是否为叶子节点-isLeaf: 数据长度不能 > 1" )
  private String isLeaf;
  /**
   * ID路径<br>
   */
  @ApiModelProperty("ID路径")
  @Size(max = 900, message="ID路径-idPath: 数据长度不能 > 900" )
  private String idPath;
  /**
   * 名称路径<br>
   */
  @ApiModelProperty("名称路径")
  @Size(max = 900, message="名称路径-namePath: 数据长度不能 > 900" )
  private String namePath;
  /**
   * 系统ID<br>
   */
  @ApiModelProperty("系统ID")
  @Size(max = 32, message="系统ID-projectId: 数据长度不能 > 32" )
  private String projectId;
  /**
   * 租户号<br>
   */
  @ApiModelProperty("租户号")
  @Size(max = 32, message="租户号-tenantId: 数据长度不能 > 32" )
  private String tenantId;
  /**
   * 创建人<br>
   */
  @ApiModelProperty("创建人")
  @Size(max = 32, message="创建人-createdBy: 数据长度不能 > 32" )
  private String createdBy;
  /**
   * 创建时间<br>
   */
  @ApiModelProperty("创建时间")
  private Date createdTime;
  /**
   * 更新人<br>
   */
  @ApiModelProperty("更新人")
  @Size(max = 32, message="更新人-updatedBy: 数据长度不能 > 32" )
  private String updatedBy;
  /**
   * 更新时间<br>
   */
  @ApiModelProperty("更新时间")
  private Date updatedTime;

  /**
   * 目录ID<br>
   */
  public String getId()
  {
      return id;
    }

  /**
   * 目录ID<br>
   *
   * @param id 目录ID
   */
  public void setId(String id)
  {
      this.id = id;
    }
  /**
   * 父目录ID<br>
   */
  public String getPid()
  {
      return pid;
    }

  /**
   * 父目录ID<br>
   *
   * @param pid 父目录ID
   */
  public void setPid(String pid)
  {
      this.pid = pid;
    }
  /**
   * 目录名称<br>
   */
  public String getGroupName()
  {
      return groupName;
    }

  /**
   * 目录名称<br>
   *
   * @param groupName 目录名称
   */
  public void setGroupName(String groupName)
  {
      this.groupName = groupName;
    }
  /**
   * 目录描述<br>
   */
  public String getDescription()
  {
      return description;
    }

  /**
   * 目录描述<br>
   *
   * @param description 目录描述
   */
  public void setDescription(String description)
  {
      this.description = description;
    }
  /**
   * 目录层级<br>
   */
  public Integer getLevelNo()
  {
      return levelNo;
    }

  /**
   * 目录层级<br>
   *
   * @param levelNo 目录层级
   */
  public void setLevelNo(Integer levelNo)
  {
      this.levelNo = levelNo;
    }
  /**
   * 目录顺序<br>
   */
  public Integer getSeq()
  {
      return seq;
    }

  /**
   * 目录顺序<br>
   *
   * @param seq 目录顺序
   */
  public void setSeq(Integer seq)
  {
      this.seq = seq;
    }
  /**
   * 是否为叶子节点<br>
   */
  public String getIsLeaf()
  {
      return isLeaf;
    }

  /**
   * 是否为叶子节点<br>
   *
   * @param isLeaf 是否为叶子节点
   */
  public void setIsLeaf(String isLeaf)
  {
      this.isLeaf = isLeaf;
    }
  /**
   * ID路径<br>
   */
  public String getIdPath()
  {
      return idPath;
    }

  /**
   * ID路径<br>
   *
   * @param idPath ID路径
   */
  public void setIdPath(String idPath)
  {
      this.idPath = idPath;
    }
  /**
   * 名称路径<br>
   */
  public String getNamePath()
  {
      return namePath;
    }

  /**
   * 名称路径<br>
   *
   * @param namePath 名称路径
   */
  public void setNamePath(String namePath)
  {
      this.namePath = namePath;
    }
  /**
   * 系统ID<br>
   */
  public String getProjectId()
  {
      return projectId;
    }

  /**
   * 系统ID<br>
   *
   * @param projectId 系统ID
   */
  public void setProjectId(String projectId)
  {
      this.projectId = projectId;
    }
  /**
   * 租户号<br>
   */
  public String getTenantId()
  {
      return tenantId;
    }

  /**
   * 租户号<br>
   *
   * @param tenantId 租户号
   */
  public void setTenantId(String tenantId)
  {
      this.tenantId = tenantId;
    }
  /**
   * 创建人<br>
   */
  public String getCreatedBy()
  {
      return createdBy;
    }

  /**
   * 创建人<br>
   *
   * @param createdBy 创建人
   */
  public void setCreatedBy(String createdBy)
  {
      this.createdBy = createdBy;
    }
  /**
   * 创建时间<br>
   */
  public Date getCreatedTime()
  {
      if(createdTime != null)
    {
      return (Date)createdTime.clone();
    }
    return null;
    }

  /**
   * 创建时间<br>
   *
   * @param createdTime 创建时间
   */
  public void setCreatedTime(Date createdTime)
  {
      if(createdTime != null)
    {
      this.createdTime = (Date)createdTime.clone();
    }
    }
  /**
   * 更新人<br>
   */
  public String getUpdatedBy()
  {
      return updatedBy;
    }

  /**
   * 更新人<br>
   *
   * @param updatedBy 更新人
   */
  public void setUpdatedBy(String updatedBy)
  {
      this.updatedBy = updatedBy;
    }
  /**
   * 更新时间<br>
   */
  public Date getUpdatedTime()
  {
      if(updatedTime != null)
    {
      return (Date)updatedTime.clone();
    }
    return null;
    }

  /**
   * 更新时间<br>
   *
   * @param updatedTime 更新时间
   */
  public void setUpdatedTime(Date updatedTime)
  {
      if(updatedTime != null)
    {
      this.updatedTime = (Date)updatedTime.clone();
    }
    }

  public AtuElementGroup()
  {
  }

}
